Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/594.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/594.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/594.dot
@@ -1,5 +1,6 @@
 digraph "g" {
 "DcIPaddr_monitor_0 hadev1" -> "DcIPaddr_start_0 hadev1" [ style = bold]
+"DcIPaddr_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 hadev1" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_start_0 hadev1" -> "DcIPaddr_monitor_5000 hadev1" [ style = bold]
@@ -14,16 +15,21 @@ digraph "g" {
 "DoFencing_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "DoFencing_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_DoFencing:0_monitor_0 hadev1" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:0_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_stop_0 hadev2" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:0_stop_0 hadev2" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_stop_0 hadev2" -> "do_shutdown hadev2" [ style = bold]
 "child_DoFencing:0_stop_0 hadev2" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 hadev2" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 hadev2" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 hadev2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_stop_0 hadev1" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:2_stop_0 hadev1" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_stop_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "do_shutdown hadev2" [ style=bold color="green" fontcolor="black" ]
+"rsc_hadev2_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "rsc_hadev2_monitor_0 hadev1" -> "rsc_hadev2_start_0 hadev1" [ style = bold]
 "rsc_hadev2_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev2_monitor_5000 hadev1" [ style=bold color="green" fontcolor="black" ]
@@ -33,6 +39,7 @@ digraph "g" {
 "rsc_hadev2_stop_0 hadev2" -> "do_shutdown hadev2" [ style = bold]
 "rsc_hadev2_stop_0 hadev2" -> "rsc_hadev2_start_0 hadev1" [ style = bold]
 "rsc_hadev2_stop_0 hadev2" [ style=bold color="green" fontcolor="black" ]
+"rsc_hadev3_monitor_0 hadev2" -> "all_stopped" [ style = bold]
 "rsc_hadev3_monitor_0 hadev2" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hadev3" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hadev3" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/662.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/662.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/662.dot
@@ -1,30 +1,54 @@
  digraph "g" {
+"DcIPaddr_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n04" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
 "DoFencing_stop_0" -> "DoFencing_stopped_0" [ style = bold]
 "DoFencing_stop_0" -> "child_DoFencing:0_stop_0 c001n02" [ style = bold]
 "DoFencing_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "DoFencing_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_DoFencing:0_monitor_0 c001n04" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:0_monitor_0 c001n04" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:0_monitor_0 c001n09" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:0_monitor_0 c001n09" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_monitor_0 c001n09" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_stop_0 c001n02" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:0_stop_0 c001n02" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_stop_0 c001n02" -> "do_shutdown c001n02" [ style = bold]
 "child_DoFencing:0_stop_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:1_monitor_0 c001n02" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:1_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:1_monitor_0 c001n04" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:1_monitor_0 c001n04" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n09" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n09" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n09" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n02" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n04" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n04" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
 "do_shutdown c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" -> "rsc_c001n02_start_0 c001n03" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n04" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n04" -> "rsc_c001n02_start_0 c001n03" [ style = bold]
 "rsc_c001n02_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n09" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n09" -> "rsc_c001n02_start_0 c001n03" [ style = bold]
 "rsc_c001n02_monitor_0 c001n09" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_5000 c001n03" [ style=bold color="green" fontcolor="black" ]
@@ -34,12 +58,20 @@
 "rsc_c001n02_stop_0 c001n02" -> "do_shutdown c001n02" [ style = bold]
 "rsc_c001n02_stop_0 c001n02" -> "rsc_c001n02_start_0 c001n03" [ style = bold]
 "rsc_c001n02_stop_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n04" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n09" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n09" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n04_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n04_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n04_monitor_0 c001n09" -> "all_stopped" [ style = bold]
 "rsc_c001n04_monitor_0 c001n09" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n09_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n09_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n09_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n09_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n09_monitor_0 c001n04" -> "all_stopped" [ style = bold]
 "rsc_c001n09_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
 }
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/662.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/662.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/662.exp
@@ -271,6 +271,33 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="33" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4"/>
+      </trigger>
+      <trigger>
         <rsc_op id="45" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
        </trigger>
        <trigger>
@@ -312,6 +339,75 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="rsc_c001n09_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="rsc_c001n09_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="rsc_c001n04_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="rsc_c001n09_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="rsc_c001n04_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="33" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4"/>
+      </trigger>
+      <trigger>
         <rsc_op id="38" operation="stop" operation_key="rsc_c001n02_stop_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
        </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/696.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/696.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/696.dot
@@ -1,7 +1,9 @@
  digraph "g" {
 "DcIPaddr_monitor_0 hadev1" -> "DcIPaddr_start_0 hadev2" [ style = bold]
+"DcIPaddr_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 hadev3" -> "DcIPaddr_start_0 hadev2" [ style = bold]
+"DcIPaddr_monitor_0 hadev3" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 hadev3" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 hadev2" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_start_0 hadev2" -> "DcIPaddr_monitor_5000 hadev2" [ style = bold]
@@ -12,27 +14,36 @@
 "DoFencing_start_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "child_DoFencing:0_monitor_0 hadev1" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:0_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_monitor_0 hadev3" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:0_monitor_0 hadev3" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_monitor_0 hadev3" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_monitor_5000 hadev2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_monitor_0 hadev1" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:1_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_monitor_0 hadev2" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:1_monitor_0 hadev2" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 hadev2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_monitor_5000 hadev3" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_0 hadev1" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:2_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_0 hadev2" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:2_monitor_0 hadev2" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 hadev2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_0 hadev3" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:2_monitor_0 hadev3" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 hadev3" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_5000 hadev1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_start_0 hadev1" -> "DoFencing_running_0" [ style = bold]
 "child_DoFencing:2_start_0 hadev1" -> "child_DoFencing:2_monitor_5000 hadev1" [ style = bold]
 "child_DoFencing:2_start_0 hadev1" [ style=bold color="green" fontcolor="black" ]
+"rsc_hadev1_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "rsc_hadev1_monitor_0 hadev1" -> "rsc_hadev1_start_0 hadev1" [ style = bold]
 "rsc_hadev1_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
+"rsc_hadev1_monitor_0 hadev2" -> "all_stopped" [ style = bold]
 "rsc_hadev1_monitor_0 hadev2" -> "rsc_hadev1_start_0 hadev1" [ style = bold]
 "rsc_hadev1_monitor_0 hadev2" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev1_monitor_5000 hadev1" [ style=bold color="green" fontcolor="black" ]
@@ -41,14 +52,18 @@
 "rsc_hadev1_stop_0 hadev3" -> "all_stopped" [ style = bold]
 "rsc_hadev1_stop_0 hadev3" -> "rsc_hadev1_start_0 hadev1" [ style = bold]
 "rsc_hadev1_stop_0 hadev3" [ style=bold color="green" fontcolor="black" ]
+"rsc_hadev2_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "rsc_hadev2_monitor_0 hadev1" -> "rsc_hadev2_start_0 hadev2" [ style = bold]
 "rsc_hadev2_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
+"rsc_hadev2_monitor_0 hadev3" -> "all_stopped" [ style = bold]
 "rsc_hadev2_monitor_0 hadev3" -> "rsc_hadev2_start_0 hadev2" [ style = bold]
 "rsc_hadev2_monitor_0 hadev3" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev2_monitor_5000 hadev2" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev2_start_0 hadev2" -> "rsc_hadev2_monitor_5000 hadev2" [ style = bold]
 "rsc_hadev2_start_0 hadev2" [ style=bold color="green" fontcolor="black" ]
+"rsc_hadev3_monitor_0 hadev1" -> "all_stopped" [ style = bold]
 "rsc_hadev3_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
+"rsc_hadev3_monitor_0 hadev2" -> "all_stopped" [ style = bold]
 "rsc_hadev3_monitor_0 hadev2" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev3_monitor_5000 hadev3" [ style=bold color="green" fontcolor="black" ]
 }
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/696.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/696.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/696.exp
@@ -339,6 +339,51 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="rsc_hadev1_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc_hadev3_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc_hadev1_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc_hadev3_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
+      </trigger>
+      <trigger>
         <rsc_op id="20" operation="stop" operation_key="rsc_hadev1_stop_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
        </trigger>
      </inputs>
